
$default-color: #44B2CB ;
html,
body {
    height: 100%;
    margin: 0;
}

 // mat----- color override
.mat-form-field-appearance-outline .mat-form-field-outline-thick{
color: $default-color !important;
}
.mat-form-field.mat-focused.mat-primary .mat-select-arrow{
color: $default-color !important;
}
.mat-form-field-ripple
{
  background-color: $default-color !important;
}
.mat-form-field-ripple:hover
{
  background-color: $default-color !important;
}
.mat-primary .mat-pseudo-checkbox-checked{
  background-color: $default-color !important;
}
.mat-button-toggle-button {font-weight: 400 !important;}
.mat-primary .mat-option.mat-selected:not(.mat-option-disabled){
  color: $default-color !important;
}
.mat-datepicker-toggle-active{
  color: $default-color !important;
}
mat-checkbox label{
  margin-bottom: 0rem !important;
}
.mat-checkbox-checked.mat-primary .mat-checkbox-background{
  background-color: $default-color !important;
}
.mat-button-toggle-checked .mat-button-toggle-focus-overlay {
  border-bottom: solid 0px !important;
}
.mat-button-toggle-appearance-standard .mat-button-toggle-focus-overlay {
  background-color: transparent !important;
}
// end mat--- color override
.example-container {
    display: flex;
    flex-direction: column;
}

.example-container>* {
    width: 100%;
}

.test_popover {
    width: 900px !important;
    max-width: 900px !important;
    background-color: #444 !important;
    will-change: auto !important;
}

/* Common Forecast and Driver CSS Nishant */

.titleforecast {font-size: 20px;color: #444;padding: 15px; display: flex; align-items: center; font-weight: 600;}

.details {display: flex; align-items: center; justify-content: center; color:#7794b5; font-size: 16px; font-weight: 600; margin: 20px 0px; width: 100%; cursor: pointer;}
.addStore {display: flex; align-items: center; color:#7794b5; font-size: 16px; font-weight: 600; margin: 10px 0px; cursor: pointer;}

.cardPanel {width:100%;background: #FFFFFF;box-shadow: 2px 2px 10px 0 rgba(192,189,189,0.50);border-radius: 15px;display: table-cell; margin-bottom: 10px;}

.rowdata .mat-form-field-appearance-standard .mat-form-field-flex {padding-top: 0;}
.rowdata .mat-form-field-infix {padding-top: 0;}
 .mat-form-field{
  width:170px !important;
 }

/* Forecast Driver CSS Nishant */
.cardPanel .data {display: block; width: 100%;padding-right:50px;height:415px;overflow: hidden;}
.cardPanel .data th, td {padding:10px; font-weight: 600; }
.cardPanel .data .head {font-size:14px; color:#999;background: #F2F2F2; }
.cardPanel .data td {font-size: 14px; color:#444;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;}
.cardPanel .data .rowdata{display: flex; margin: 5px 6px 5px 0px; border: 2px solid transparent; font-weight: 600; border-radius: 0px;}

.cardPanel .data .rowdata:hover {display: flex; align-items: center;border:2px solid #e2e1d0; background: rgba(226, 225, 208, 0.2);}
.cardPanel .data .rowdata:hover::after{content: ""; background: url(assets/img/arrowR2.svg) no-repeat right; position: absolute; right: 15px !important;
  width: 100%;
  height: 45px;
  background-size: 30px;}

.cardPanel .data .rowdata.active {display: flex; align-items: center;border:2px solid $default-color; 
  // background: rgba(122,185,255,0.2);
}
.cardPanel .data .rowdata.active::after{content: ""; background: url(assets/img/arrowR.svg) no-repeat right; position: absolute; right:15px !important;
  width: 100%;
  height: 45px;
  background-size: 30px;}

.cardPanel .data .rowdata1_tbody tr{display: flex; margin: 5px 6px 5px 0px; border: 2px solid transparent; font-weight: 600; border-radius: 0px;}
.cardPanel .data .rowdata1_tbody tr:hover {display: flex; align-items: center;border:2px solid #e2e1d0; background: rgba(226, 225, 208, 0.2);}
// .cardPanel .data .rowdata1_tbody tr:hover::before{content: ""; background: url(assets/img/arrowR2.svg) no-repeat right; position: absolute; right: 17px !important;
//   width: 100%;
//   height: 45px;
//   background-size: 30px;}

.cardPanel .data .rowdata1_tbody tr.active {display: flex; align-items: center;border:2px solid $default-color; 
  // background: rgba(122,185,255,0.2);
}
.cardPanel .data .rowdata1_tbody tr.active::before{content: ""; background: url(assets/img/arrowR.svg) no-repeat right; position: absolute; right:15px !important;
  width: 100%;
  height: 45px;
  background-size: 30px;}

.widgit {display:flex; width:100%; margin:0 0 50px 0 !important;}
.widgitBox {display:flex; width:100%; padding:15px; margin: 0px 5px; min-height:150px; font-size: 24px; font-weight: 600; color:#999;}
.widgitBox:hover{border:2px solid #e2e1d0; background: rgba(226, 225, 208, 0.2); }

.widgitBox:first-child {margin-left: 0;}
.widgitBox:last-child {margin-right: 0;}
.widgitBox ul {margin:10px 0 0 0; padding:0; list-style: none;}
.widgitBox li {display:inline-flex; font-weight: normal; flex-direction: column; width:50%; font-size: 16px; color:#999; margin-bottom: 10px;}
.widgitBox li label {font-size:28px; font-weight: 600; color:#000;}
.widgitBox li:last-child {margin-bottom: 0;}

.widgitBox.active{border:2px solid $default-color; 
  background: rgba(122,185,255,0.2); 
}

.widgitBox.active::after{
  content: ""; 
  background: url(assets/img/arrowd.svg) no-repeat center 10px; position: absolute; top: 100%; left:0; width: 100%; height: 45px;
}

.selection-btn {

 & .mat-button-toggle-group-appearance-standard
{
    border-radius: 6px !important;
}
}

.group-label-input {
    line-height: 3.2;
    padding-left: 0.75rem;

    & label {font-size: 16px;}
}

// common
.forecast-reset{
    text-decoration: underline;
    text-decoration-color: #C9D8B9;
    color: #44B2CB;
    cursor:pointer; 
    line-height: 2.7;
}
.mat-select-value{
    font-size:14px !important;
  }

  .mat-select-placeholder {
    color: rgba(0,0,0,.42);
    font-size: 14px !important;
  }
 // font-size
  // ----------- font-size---------

  .f-18{
    font-size: 18px;
  }

  .f-24{
    font-size: 24px;
  }
  .f-28{
    font-size:28px;
  }

 
// padding top
.pt-30{
    padding-top:30px !important;
    }

    .pd-toggle-3 {
        padding: 5px;
        border: 1px solid rgba(192, 192, 192, 0.2196078431372549);
        border-radius: 5px;
    }
    
    .mat-button-toggle-checked{
        color:#fff !important;
        font-size:14px !important;
      // background: linear-gradient(125.6deg, #4194C4 -17.43%, #4CBAD4 104.46%) !important;
      }
.mat-button-toggle-label-content{
    
        font-size:14px !important;
      }
      .btn-secondary:active{
        background:$default-color ;
      }
      .btn-secondary{
        
        background:$default-color ;
      }

      .btn-secondary:hover, .btn-secondary:focus
      {
        border: none !important;
        background: $default-color !important;
      }
      
    //   .card-header.with-elements {
    //     border-bottom: 0px solid white;
    // }

    .right-col-content 
    {
      height: calc(100vh - 110px);
      overflow: hidden;
      overflow-y: auto;
    }

    .card-label label {font-weight: 600;}

    .outline-inputgroup {
border: 1px solid #e2e1d0;
padding: 10px 15px 10px 15px;
border-radius: 4px;
    }
    .ps__rail-y > .ps__thumb-y{
      background: rgba(0,0,0,.38) !important;
      width:7px !important;
    }
  
//width and height-----------
.h-456{
    height: 465px !important;
    overflow: hidden;
  overflow-y: auto;
}
.wd-10{
  width: 20% !important;
}

.wd-25{
  width:25% !important;

}
.wd-30{
  width:30% !important;

}
.wd-40{
  width: 40% !important;
}
.wd-35{
  width: 35% !important;
}

.wd-50{
  width: 50% !important;
}
.mat-select-panel{
   margin-top:35px !important;
 }
 //test control
 .test-chart-height{
    max-height:400px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 10px;
  }
  .test-table-outerheight{
   max-height: 467px;
   // padding: 10px;
   margin-bottom:10px;
  }
  .test-shadow{
    box-shadow: 2px 2px 10px 0 rgba(192, 189, 189, 0.5);
  }
  .test-padding{
    padding-top:1rem !important;
    padding-bottom:1rem !important;
    min-height: 150px;
  }
  .test-border{
    border-radius:10px ;
    border: 1px solid #f1f1f2;
    background: white;
   }
   .test-label1{
    font-size: 14px;
    margin-bottom: 0px;
    padding-top: 9px;
   }
   .test-label{
    text-align: right;
    margin-bottom: 0px;
    padding-right: 30px;
    font-size: 14px;
 // color:rgb(119, 148, 181);
 color: #bc5090;
     font-weight: 600;
  }
  .test-title{
   font-size: 20px;
   color: #444;
  //  padding: 15px;
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   -webkit-box-align: center;
   -ms-flex-align: center;
   align-items: center;
  }
  .test-head {
    margin: 15px 5px;
    height: 30px;
    vertical-align: -webkit-baseline-middle;
  }
 
  // --------- color --------
.gray{
    color: #999 !important;
  }
  .black{
    color: black;
  }
  .triangle-down {
    width: 0;
    height: 0;
    border-left: 14vw solid transparent;
    border-right: 14vw solid transparent;
    border-top: 30px solid $default-color;
}
  
  .triangle-outer{
    display: none;
  }
  
  .demo .active-test-card{
    border-radius: 10px;
      border: 2px solid $default-color;
      // background-color: #e4f1ff;
  }
  
  .active-test-card {position: relative;}
  .box-content 
  {
    margin: 0;
      position: absolute;
      top: 50%;
      -ms-transform: translateY(-50%);
      transform: translateY(-50%);
  }
  .demo .triangle-outer{
    display: block;
    margin-left: 0;
    margin-right: 0;
    margin-top: 2.3rem;
    text-align: center;
  }
  
  .inactive  {
    width: 12px;
    height: 12px;
    background: rgb(200, 200, 200);
    border-radius: 2px;
    margin-left: 15px;
    margin-right: 15px;
  }
  
  .square { 
    width: 12px;
    height: 12px;
    border-radius: 2px;
    margin-left: 15px;
    margin-right: 15px;
  }
  
 .down {
    color: red;
  }
 .up {
    color: green;
  }
  .test-tbody{
    display: block;min-height: 366px;
  }
  fm-pivot > div {
    max-height: 100%;
    //   padding-left: 20px;
    //   padding-right: 20px;
      // padding-bottom: 10px;
     
     }
     .px-20{
         padding: 20px;;
     }
     .t-thead{
        display: table;
        width: 100%;
        table-layout: fixed
     }
     .pd-toggle-3{
        padding: 5px;
        border: 1px solid #c0c0c038;
        border-radius:5px;
      }

     //extra 
     .highcharts-plot-band, .highcharts-pane {
        fill-opacity: 1.0 !important;
      }
      .highcharts-legend-item > text{
        font-size: 14px !important;
      }
      .mat-select-value{
        font-size:14px !important;
      }
      .pd-t{
        padding-top: 5px;
      }
      .mat-row:hover {
        background-color: #4495F0;
        cursor: pointer;
      }
      .mat-elevation-z8{
        box-shadow: none !important;
      }
      .mat-header-cell {
        font-size: 22px;
      }
      .mat-cell {
        font-size: 18px;
      }
      ng-select > div{
        border-radius: 4px;
        padding-top:3px;
        padding-bottom: 3px;
      }
      select-dropdown > div .options ul li {
        padding: 12px 8px !important;
        cursor: pointer;
      
      }
      ng-select > div > div.single > div.clear {
        font-size: 11px !important;
        font-weight: 600;
      }
      
      ng-select > div > div.single > div.clear, ng-select > div > div.single > div.toggle {
      
        width: 20px !important;
      }
      .mat-calendar-body-selected{
        background-color:$default-color !important ;
      }
      .sel-store .mat-form-field-infix{
        padding:0.1px !important;

      }
      .inCustom-popup .popover {
        width: 621px !important;
        max-width: 900px !important;
        background-color: #444 !important;
        will-change: auto !important;
        margin-top: 30px;
      }
    
      .inCustom-popup .popover .arrow {
        display: none;
      }
      .box-select-all{
        font-size:12px !important;
        width:32px !important;
        line-height:35px !important;
      }
      .mat-icon-button .mat-icon{
        line-height: 10px !important;
        height: 18px !important;
        width: 18px !important;
      }
      // media query
      @media (min-width: 768px) and (max-width: 991px) {
        .inCustom-popup .popover {
          width: 415px !important;
          will-change: transform !important;
          top:30px !important;
          
          
      & .arrow {
          display: none;
        }
      }
      .widgitBox{
        font-size:20px;
        & ul{
          margin: 5px 0 0 0;

        }
      & li label{
        font-size:15px;
      }
    }
    .mat-form-field {
      width: 120px !important;
  }
  .container-m--x {
    margin-right: -2rem !important;
    margin-left: -2rem !important;
}
  .ipad-res-pl-2{
    padding-left: 0.5rem !important;  
  }
  .ipad-res-pl-4 {
    padding-left: 1.5rem !important;
}
.ipad-res-pr-0{
  padding-right:0px !important;
}
.ipad-pl-25{
  padding-left: 25px !important;
}
.ipad-res-mt-10{
margin-top:10px !important;
}
.ipad-pl-2px{
  padding-left: 2px !important;
}
.ipad-res-mt-0{
margin-top:0px !important;
}
.ipad-res-pb-0{
  padding-bottom:0px !important;
  }
.demo .triangle-outer {
  margin-top: 1.5rem;
}
.triangle-down {
  border-top: 15px solid $default-color;
}
.widgitBox.active::after {
  background-size: contain;
}
.cardPanel .data .rowdata.active::after{
  display: none;
}
.cardPanel .data .rowdata1_tbody tr.active::before{
  display:none;
}
  .t-thead{
    table-layout: fixed;
  }
  .sel-store .res-dropdown{
    width: 70px !important;
  }
.cardPanel .card-body{
    padding-left: 0.2rem !important;
  }
  .res-ml--10{
    margin-left:-10px;
  }
  .res-pl-55{
    padding-left:55px !important;

  }
  .box-content {
    padding-top: 20px;
  }
  .cardPanel .data {
   
    padding-left: 0rem;
  }
  .cardPanel .data th, td {
    padding: 5px;
  }
  .test-border {
    margin-left: 0px;
  }
  .t-theadP
  {
  table-layout: auto !important;
      }

      .cardPanel .data .head {
        font-size: 14px;
      }
    }

      @media (min-width: 992px) and (max-width: 1200px) {
        .res-ml--10{
          margin-left:-10px;
        }
        .mat-form-field {
          width: 150px !important;
      } 
      }


      //mobile
@media (max-width: 767px) {
  .res-mob-p-0{
padding:0px !important;
  }
  .mat-form-field {
    width: 125px !important;
}
.res-mob-ml--10{
  margin-left: -10px;
}
.inCustom-popup .popover{
  top: 30px !important;
  will-change: transform !important;
  transform: translate(-11px, -97px) !important;
  width: 350px !important;
}
.cardPanel .data {
  display: table;
}
.cardPanel .data .rowdata.active::after{
  display: none;
}
}

@media (min-width: 1024px) and (max-width: 1366px){
  .cardPanel .data th, td{
    padding:5px;
  }
  .widgitBox.active::after {
    background-size: contain;
}
.demo .triangle-outer {
  margin-top: 1.5rem;
}
.triangle-down {
  border-top: 15px solid $default-color;
}
.ipadpro-res-pl-0{
  padding-left:0px !important;
}
}
// @media (min-width: 800px)  and (max-width: 1280px) {
// .test-label{
//   padding-right: 5px;
// }
// }